Intermittent org.mozilla.geckoview.test.TextInputDelegateTest.inputConnection[#designmode] | status -2

REOPENED
Assigned to

Status

()

defect
P5
normal
REOPENED
8 months ago
13 days ago

People

(Reporter: intermittent-bug-filer, Assigned: m_kato)

Tracking

(Blocks 1 bug, {intermittent-failure})

unspecified
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox69 affected)

Details

(Whiteboard: [stockwell unknown][leave open])

Attachments

(1 attachment)

Filed by: csabou [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=212331473&repo=autoland

https://queue.taskcluster.net/v1/task/btPrPMBmRh2ZwqORbojxZA/runs/0/artifacts/public/logs/live_backing.log

[task 2018-11-17T00:07:41.627Z] 00:07:41  WARNING -  TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.TextInputDelegateTest.inputConnection[#designmode] | status -2
[task 2018-11-17T00:07:41.627Z] 00:07:41     INFO -  TEST-INFO took 272529ms
[task 2018-11-17T00:07:42.521Z] 00:07:42     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_RESULT: stream=
[task 2018-11-17T00:07:42.521Z] 00:07:42     INFO -  org.mozilla.geckoview.test |
[task 2018-11-17T00:07:42.521Z] 00:07:42     INFO -  org.mozilla.geckoview.test | Time: 1,814.804
[task 2018-11-17T00:07:42.521Z] 00:07:42     INFO -  org.mozilla.geckoview.test | There was 1 failure:
[task 2018-11-17T00:07:42.522Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 1) inputConnection[#designmode](org.mozilla.geckoview.test.TextInputDelegateTest)
[task 2018-11-17T00:07:42.522Z] 00:07:42     INFO -  org.mozilla.geckoview.test | java.lang.AssertionError: Can set composing region text
[task 2018-11-17T00:07:42.522Z] 00:07:42     INFO -  org.mozilla.geckoview.test | Expected: "farbar"
[task 2018-11-17T00:07:42.522Z] 00:07:42     INFO -  org.mozilla.geckoview.test |      but: was "foobar"
[task 2018-11-17T00:07:42.522Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.hamcrest.MatcherAssert.assertThat(MatcherAssert.java:20)
[task 2018-11-17T00:07:42.522Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.junit.Assert.assertThat(Assert.java:956)
[task 2018-11-17T00:07:42.522Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.junit.rules.ErrorCollector$1.call(ErrorCollector.java:65)
[task 2018-11-17T00:07:42.522Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.junit.rules.ErrorCollector.checkSucceeds(ErrorCollector.java:78)
[task 2018-11-17T00:07:42.522Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.junit.rules.ErrorCollector.checkThat(ErrorCollector.java:63)
[task 2018-11-17T00:07:42.523Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.checkThat(GeckoSessionTestRule.java:880)
[task 2018-11-17T00:07:42.523Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.BaseSessionTest.assertThat(BaseSessionTest.kt:54)
[task 2018-11-17T00:07:42.523Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.TextInputDelegateTest.assertText(TextInputDelegateTest.kt:246)
[task 2018-11-17T00:07:42.523Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.TextInputDelegateTest.assertTextAndSelection(TextInputDelegateTest.kt:284)
[task 2018-11-17T00:07:42.524Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.TextInputDelegateTest.assertTextAndSelectionAt(TextInputDelegateTest.kt:297)
[task 2018-11-17T00:07:42.524Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.TextInputDelegateTest.assertTextAndSelectionAt$default(TextInputDelegateTest.kt:296)
[task 2018-11-17T00:07:42.524Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.TextInputDelegateTest.inputConnection(TextInputDelegateTest.kt:365)
[task 2018-11-17T00:07:42.525Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-11-17T00:07:42.525Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-11-17T00:07:42.526Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2018-11-17T00:07:42.526Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2018-11-17T00:07:42.527Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2018-11-17T00:07:42.527Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2018-11-17T00:07:42.528Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$3$1.run(GeckoSessionTestRule.java:1384)
[task 2018-11-17T00:07:42.528Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2018-11-17T00:07:42.528Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-11-17T00:07:42.529Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-11-17T00:07:42.529Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at android.os.Looper.loop(Looper.java:137)
[task 2018-11-17T00:07:42.529Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2018-11-17T00:07:42.530Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-11-17T00:07:42.530Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-11-17T00:07:42.531Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2018-11-17T00:07:42.531Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2018-11-17T00:07:42.532Z] 00:07:42     INFO -  org.mozilla.geckoview.test | 	at dalvik.system.NativeStart.main(Native Method)
[task 2018-11-17T00:07:42.533Z] 00:07:42     INFO -  org.mozilla.geckoview.test |
[task 2018-11-17T00:07:42.533Z] 00:07:42     INFO -  org.mozilla.geckoview.test | FAILURES!!!
[task 2018-11-17T00:07:42.533Z] 00:07:42     INFO -  org.mozilla.geckoview.test | Tests run: 87,  Failures: 1
[task 2018-11-17T00:07:42.534Z] 00:07:42     INFO -  org.mozilla.geckoview.test |
[task 2018-11-17T00:07:42.534Z] 00:07:42     INFO -  org.mozilla.geckoview.test |
[task 2018-11-17T00:07:42.534Z] 00:07:42     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_CODE: -1
[task 2018-11-17T00:07:42.823Z] 00:07:42     INFO -  Passed: 80
[task 2018-11-17T00:07:42.824Z] 00:07:42  WARNING -  Failed: 1
[task 2018-11-17T00:07:42.824Z] 00:07:42  WARNING -  One or more unittests failed.
[task 2018-11-17T00:07:42.825Z] 00:07:42     INFO -  Todo: 6
[task 2018-11-17T00:07:42.826Z] 00:07:42     INFO -  SUITE-END | took 1829s
[task 2018-11-17T00:07:43.842Z] 00:07:43     INFO -  Stopping web server
[task 2018-11-17T00:07:43.851Z] 00:07:43     INFO -  Stopping web socket server
[task 2018-11-17T00:07:43.867Z] 00:07:43     INFO -  Stopping ssltunnel
Component: Gecko Profiler → Keyboards and IME
Product: Core → Firefox for Android
Status: NEW → RESOLVED
Closed: 6 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

There are 21 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-04-29&endday=2019-05-06&tree=trunk&bug=1507997

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=244622743&repo=mozilla-inbound&lineNumber=4008

[task 2019-05-04T00:34:46.959Z] 00:34:46 INFO - TEST-START | org.mozilla.geckoview.test.TextInputDelegateTest.inputConnection[#designmode]
[task 2019-05-04T00:37:59.413Z] 00:37:59 WARNING - TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.TextInputDelegateTest.inputConnection[#designmode] | status -2
[task 2019-05-04T00:37:59.413Z] 00:37:59 INFO - TEST-INFO took 192435ms
[task 2019-05-04T00:37:59.493Z] 00:37:59 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-05-04T00:37:59.493Z] 00:37:59 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=148
[task 2019-05-04T00:37:59.494Z] 00:37:59 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.TextInputDelegateTest
[task 2019-05-04T00:37:59.494Z] 00:37:59 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-05-04T00:37:59.495Z] 00:37:59 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=155
[task 2019-05-04T00:37:59.495Z] 00:37:59 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=showHideSoftInput[#designmode]
[task 2019-05-04T00:37:59.496Z] 00:37:59 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 1

Makoto, could you please assign this to someone?

Flags: needinfo?(m_kato)
Whiteboard: [stockwell needswork:owner]
Assignee: nobody → m_kato
Flags: needinfo?(m_kato)

There are 27 occurrences in the last 7 days on android-em-4-3-armv7-api16 pgo: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-05-29&endday=2019-06-05&tree=all&bug=1507997

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=250030519&repo=autoland&lineNumber=4063

[task 2019-06-04T22:04:39.926Z] 22:04:39 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=156
[task 2019-06-04T22:04:39.927Z] 22:04:39 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=inputConnection[#designmode]
[task 2019-06-04T22:04:39.927Z] 22:04:39 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 1
[task 2019-06-04T22:04:39.927Z] 22:04:39 INFO - TEST-START | org.mozilla.geckoview.test.TextInputDelegateTest.inputConnection[#designmode]
[task 2019-06-04T22:08:02.550Z] 22:08:02 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-06-04T22:08:02.550Z] 22:08:02 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=148
[task 2019-06-04T22:08:02.551Z] 22:08:02 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.TextInputDelegateTest
[task 2019-06-04T22:08:02.552Z] 22:08:02 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-06-04T22:08:02.553Z] 22:08:02 INFO - org.mozilla.geckoview.test | Error in inputConnection#designmode:
[task 2019-06-04T22:08:02.553Z] 22:08:02 INFO - org.mozilla.geckoview.test | java.lang.AssertionError: Can set composing region text
[task 2019-06-04T22:08:02.553Z] 22:08:02 INFO - org.mozilla.geckoview.test | Expected: <(3, 3)>
[task 2019-06-04T22:08:02.554Z] 22:08:02 INFO - org.mozilla.geckoview.test | but: was <(6, 6)>
[task 2019-06-04T22:08:02.554Z] 22:08:02 INFO - org.mozilla.geckoview.test | at org.hamcrest.MatcherAssert.assertThat(MatcherAssert.java:20)
[task 2019-06-04T22:08:02.555Z] 22:08:02 INFO - org.mozilla.geckoview.test | at org.junit.Assert.assertThat(Assert.java:956)
<...>
[task 2019-06-04T22:08:02.583Z] 22:08:02 INFO - org.mozilla.geckoview.test | at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2019-06-04T22:08:02.583Z] 22:08:02 INFO - org.mozilla.geckoview.test | at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2019-06-04T22:08:02.583Z] 22:08:02 INFO - org.mozilla.geckoview.test | at dalvik.system.NativeStart.main(Native Method)
[task 2019-06-04T22:08:02.584Z] 22:08:02 INFO - org.mozilla.geckoview.test |
[task 2019-06-04T22:08:02.584Z] 22:08:02 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=inputConnection[#designmode]
[task 2019-06-04T22:08:02.584Z] 22:08:02 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2019-06-04T22:08:02.584Z] 22:08:02 WARNING - TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.TextInputDelegateTest.inputConnection[#designmode] | status -2
[task 2019-06-04T22:08:02.584Z] 22:08:02 INFO - TEST-INFO took 202635ms
[task 2019-06-04T22:08:02.585Z] 22:08:02 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-06-04T22:08:02.662Z] 22:08:02 INFO - org.mozilla.geckoview.test |
[task 2019-06-04T22:08:02.662Z] 22:08:02 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=149
[task 2019-06-04T22:08:02.662Z] 22:08:02 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.TextInputDelegateTest
[task 2019-06-04T22:08:02.663Z] 22:08:02 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-06-04T22:08:02.664Z] 22:08:02 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=156
[task 2019-06-04T22:08:02.664Z] 22:08:02 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=showHideSoftInput[#designmode]
[task 2019-06-04T22:08:02.665Z] 22:08:02 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 1
[task 2019-06-04T22:08:02.665Z] 22:08:02 INFO - TEST-START | org.mozilla.geckoview.test.TextInputDelegateTest.showHideSoftInput[#designmode]

Makoto, any updates on this?

Flags: needinfo?(m_kato)

Hmm, I guess that InputConnection.setComposingText will be async, It sometimes be failure on this junit test.

mainSession.waitUntilCalled(GeckoSession.TextInputDelegate::class,...) might help this, or processChildEvents should be incremented for timeout value.

Flags: needinfo?(m_kato)
Whiteboard: [stockwell unknown] → [stockwell unknown][leave open]
Attachment #9071780 - Attachment description: Bug 1507997 - Use compositionupdate event to wait setting composition text → Bug 1507997 - Use compositionupdate event to wait for composition text
Pushed by m_kato@ga2.so-net.ne.jp:
https://hg.mozilla.org/integration/autoland/rev/bd82743a3e4e
Use compositionupdate event to wait for composition text r=geckoview-reviewers,snorp
You need to log in before you can comment on or make changes to this bug.